## gate.gui
Class DocumentEditor.AnnotationsTableModel

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--gate.gui.DocumentEditor.AnnotationsTableModel

All Implemented Interfaces:
  Serializable, TableModel

Enclosing class:
  DocumentEditor

protected class DocumentEditor.AnnotationsTableModel
extends AbstractTableModel

A custom table model used to render a table containing the annotations from a set of annotation sets. The columns will be: Type, Set, Start, End, Features

See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DocumentEditor.AnnotationsTableModel()`

Method Summary
`Class` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### DocumentEditor.AnnotationsTableModel

    public DocumentEditor.AnnotationsTableModel()

Method Detail

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `AbstractTableModel`

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int column)

  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Overrides:
    `getValueAt` in class `AbstractTableModel`